package domain


type AlibabaWdkItemStoreskustatusUpdateResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

}

func (s *AlibabaWdkItemStoreskustatusUpdateResult) SetSuccess(v bool) *AlibabaWdkItemStoreskustatusUpdateResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemStoreskustatusUpdateResult) SetErrorCode(v string) *AlibabaWdkItemStoreskustatusUpdateResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkItemStoreskustatusUpdateResult) SetErrorDesc(v string) *AlibabaWdkItemStoreskustatusUpdateResult {
    s.ErrorDesc = &v
    return s
}
